<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-qt-versions.qdoc -->
  <title>Adding Qt Versions | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Adding Qt Versions</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-targets.html" />
  <link rel="next" href="creator-tool-chains.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-targets.html">Adding Kits</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-tool-chains.html">Adding Compilers</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#setting-up-new-qt-versions">Setting Up New Qt Versions</a></li>
<li class="level1"><a href="#troubleshooting-qt-installations">Troubleshooting Qt Installations</a></li>
<li class="level1"><a href="#minimum-requirements">Minimum Requirements</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Adding Qt Versions</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-qmake.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator allows you to have multiple versions of Qt installed on your development PC and use different versions to build your projects. For example, <a href="creator-glossary.html#glossary-device">device</a> manufacturers provide special Qt versions for developing applications for their devices.</p>
<p>Qt Creator automatically detects the Qt versions that are registered by your system or by installers. To view detailed information for each Qt version, select it in the list and select <b>Details</b> in the <b>Qt version for</b> section. To add Qt versions, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Qt Versions</b>.</p>
<p>You specify the Qt version to use for each <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> for building and running your projects in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>.</p>
<a name="setting-up-new-qt-versions"></a>
<h2 id="setting-up-new-qt-versions">Setting Up New Qt Versions</h2>
<p>To add a Qt version:</p>
<ol class="1" type="1"><li>Select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Qt Versions</b> &gt; <b>Add</b>.</li>
<li>Select the qmake executable for the Qt version that you want to add.</li>
<li>Select the Qt version to view and edit it.<p class="centerAlign"><img src="images/qtcreator-qt4-qtversions-add.png" alt="" /></p></li>
<li>In the <b>Version name</b> field, edit the name that Qt Creator suggests for the Qt version.</li>
<li>In the <b>qmake location</b> field, you can change the qmake location.</li>
<li>If the Qt version is for QNX, enter the path to your installed QNX SDK in the <b>QNX SDK</b> field.</li>
</ol>
<a name="troubleshooting-qt-installations"></a>
<h2 id="troubleshooting-qt-installations">Troubleshooting Qt Installations</h2>
<p>If Qt Creator detects problems in the installation of a Qt version, it displays warnings and errors beside the name of the Qt version in the list. Select the Qt version to see more information about the issue and suggestions for fixing it.</p>
<p>To determine whether a particular Qt version is installed correctly, Qt Creator calls <code>qmake -query</code> and checks that the directories referenced in the output exist. When Qt Creator complains about the installation of a self-built Qt version, try running <code>make install</code> in the build directory to actually install Qt into the configured location. If you installed Qt using the Qt installer, run the Qt maintenance tool to check for updates or to reinstall the Qt version.</p>
<a name="minimum-requirements"></a>
<h2 id="minimum-requirements">Minimum Requirements</h2>
<p>If your build of Qt is incomplete but you still want to use <a href="http://doc.qt.io/qt-5/qmake-manual.html">QMake</a> as build system, you need to ensure the following minimum requirements to be able to use that setup with Qt Creator.</p>
<ol class="1" type="1"><li>qmake is an executable that understands the -query command line argument.</li>
<li>The bin and include directories have to exist. Qt Creator fetches these directories by running <code>qmake -query</code>.</li>
<li>The mkspecs directory should be complete enough to parse .pro files.</li>
</ol>
<p>If your Qt version has no libQtCore.so, Qt Creator is unable to detect the ABI.</p>
</div>
<!-- @@@creator-project-qmake.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-targets.html">Adding Kits</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-tool-chains.html">Adding Compilers</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
